Aktif organizasyon ayarlarını güncelle
curl --request PUT \
--url https://app.azalt.co/api/v1/organizations/current \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"openaiApiKey": "<string>",
"anthropicApiKey": "<string>",
"defaultDashboardStatuses": [],
"requireFormAssignment": [],
"navigationTags": {
"forms": [
"<string>"
],
"kpis": [
"<string>"
],
"dashboards": [
"<string>"
]
},
"defaultHideFuturePeriods": true,
"showRecords": true
}
'import requests
url = "https://app.azalt.co/api/v1/organizations/current"
payload = {
"name": "<string>",
"openaiApiKey": "<string>",
"anthropicApiKey": "<string>",
"defaultDashboardStatuses": [],
"requireFormAssignment": [],
"navigationTags": {
"forms": ["<string>"],
"kpis": ["<string>"],
"dashboards": ["<string>"]
},
"defaultHideFuturePeriods": True,
"showRecords": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
openaiApiKey: '<string>',
anthropicApiKey: '<string>',
defaultDashboardStatuses: [],
requireFormAssignment: [],
navigationTags: {forms: ['<string>'], kpis: ['<string>'], dashboards: ['<string>']},
defaultHideFuturePeriods: true,
showRecords: true
})
};
fetch('https://app.azalt.co/api/v1/organizations/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"ownerId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Organization
Aktif organizasyon ayarlarını güncelle
Aktif organizasyonun temel ayarlarını günceller.
Güncellenebilecek alanlar:
- Ad ve açıklama
- Özellik bayrakları ve entegrasyon seçenekleri
- İzinler ve yapılandırma ayarları
Değişiklikler tüm üyeleri etkiler; güncelleme için organizasyon sahibi yetkisi gerekir.
PUT
/
organizations
/
current
Aktif organizasyon ayarlarını güncelle
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Gövde
application/json
Minimum string length:
1Show child attributes
Show child attributes
Mevcut seçenekler:
COMPLETED, APPROVED, REJECTED Mevcut seçenekler:
VIEWER, COLLECTOR, APPROVER, MANAGER Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

